;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: BUFFER.inc
;;  Version: 1.3, Updated on 2012/3/2 at 9:14:31
;;  Generated by PSoC Designer 5.2.2551
;;
;;  DESCRIPTION: Assembler declarations for the Counter8 user module interface
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for BUFFER API's.
;--------------------------------------------------

BUFFER_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
BUFFER_INT_REG:                            equ 0x0e1
BUFFER_INT_MASK:                           equ 0x01


;--------------------------------------------------
; Register Address Constants for BUFFER
;--------------------------------------------------

BUFFER_DATA_0_REG:                     equ 0x20   ; DR0 register
BUFFER_DATA_1_REG:                     equ 0x21   ; DR1 register
BUFFER_DATA_2_REG:                     equ 0x22   ; DR2 register
BUFFER_CONTROL_REG:                    equ 0x23   ; Control register
BUFFER_FUNC_REG:                       equ 0x20   ; Function register
BUFFER_INPUT_REG:                      equ 0x21   ; Input register
BUFFER_OUTPUT_REG:                     equ 0x22   ; Output register


;--------------------------------------------------
; BUFFER Macro 'Functions'
;--------------------------------------------------

   macro BUFFER_Start_M
   or    reg[BUFFER_CONTROL_REG],  BUFFER_CONTROL_REG_START_BIT
   endm

   macro BUFFER_Stop_M
   and   reg[BUFFER_CONTROL_REG], ~BUFFER_CONTROL_REG_START_BIT
   endm

   macro BUFFER_EnableInt_M
   M8C_EnableIntMask BUFFER_INT_REG, BUFFER_INT_MASK
   endm

   macro BUFFER_DisableInt_M
   M8C_DisableIntMask BUFFER_INT_REG, BUFFER_INT_MASK
   endm


; end of file BUFFER.inc
