//*****************************************************************************
//*****************************************************************************
//  FILENAME: BUFFER.h
//  Version: 1.3, Updated on 2012/3/2 at 9:14:31
//  Generated by PSoC Designer 5.2.2551
//
//  DESCRIPTION: DigitalBuffers User Module C Language interface file
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef BUFFER_INCLUDE
#define BUFFER_INCLUDE

#include <m8c.h>

#pragma fastcall16 BUFFER_EnableInt
#pragma fastcall16 BUFFER_DisableInt
#pragma fastcall16 BUFFER_Start
#pragma fastcall16 BUFFER_Stop

//-------------------------------------------------
// Prototypes of the BUFFER API.
//-------------------------------------------------

extern void BUFFER_EnableInt(void);
extern void BUFFER_DisableInt(void);
extern void BUFFER_Start(void);
extern void BUFFER_Stop(void);


//--------------------------------------------------
// Constants for BUFFER API's.
//--------------------------------------------------
#define BUFFER_CONTROL_REG_START_BIT           ( 0x01 )
#define BUFFER_INT_REG_ADDR                    ( 0x0e1 )
#define BUFFER_INT_MASK                        ( 0x01 )


//--------------------------------------------------
// Constants for BUFFER user defined values
//--------------------------------------------------
#pragma ioport  BUFFER_DATA_0_REG:  0x020                  //DR0 Count register
BYTE            BUFFER_DATA_0_REG;
#pragma ioport  BUFFER_DATA_1_REG:  0x021                  //DR1 Period register
BYTE            BUFFER_DATA_1_REG;
#pragma ioport  BUFFER_DATA_2_REG:  0x022                  //DR2 Compare register
BYTE            BUFFER_DATA_2_REG;
#pragma ioport  BUFFER_CONTROL_REG: 0x023                  //Control register
BYTE            BUFFER_CONTROL_REG;
#pragma ioport  BUFFER_FUNC_REG:    0x120                  //Function register
BYTE            BUFFER_FUNC_REG;
#pragma ioport  BUFFER_INPUT_REG:   0x121                  //Input register
BYTE            BUFFER_INPUT_REG;
#pragma ioport  BUFFER_OUTPUT_REG:  0x122                  //Output register
BYTE            BUFFER_OUTPUT_REG;
#pragma ioport  BUFFER_INT_REG:       0x0e1                //Interrupt Mask Register
BYTE            BUFFER_INT_REG;


//-------------------------------------------------
// Register Addresses for BUFFER
//-------------------------------------------------


//-------------------------------------------------
// BUFFER Macro 'Functions'
//-------------------------------------------------

#define BUFFER_Start_M \
   BUFFER_CONTROL_REG |=  BUFFER_CONTROL_REG_START_BIT

#define BUFFER_Stop_M  \
   BUFFER_CONTROL_REG &= ~BUFFER_CONTROL_REG_START_BIT

#define BUFFER_EnableInt_M   \
   M8C_EnableIntMask(BUFFER_INT_REG, BUFFER_INT_MASK)

#define BUFFER_DisableInt_M  \
   M8C_DisableIntMask(BUFFER_INT_REG, BUFFER_INT_MASK)

#endif
// end of file BUFFER.h
